[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'DBGrids' (#lcl)

# TCustomDBGrid.EditorTextChanged

Applies a changed value from a cell Editor to the grid control.

## Declaration

Source position: dbgrids.pas line 455

`protected procedure TCustomDBGrid.EditorTextChanged(`
`const aCol: Integer;`
`const aRow: Integer;`
`const aText: string`
`); override;`

## Arguments

`aCol` |  | Column number for the cell value applied in the method.
`aRow` |  | Row number for the cell value applied in the method.
`aText` |  | Text applied to the specified cell in the grid control.

## Description

EditorTextChanged is an overridden method in TCustomDBGrid. It re-implements the method from the ancestor class, and does not call the inherited method.

EditorTextChanged is used to apply a cell value which was modified in the Editor for the control to the field with the value for the cell. The modified value is stored in a temporary buffer by calling SetEditText, and is eventually applied to the database field in the UpdateData method.

EditorTextChanged is called from methods in cell editor classes, like TStringCellEditor and TPickListCellEditor, when their Change or Select methods are executed.

The cell value is not updated when the grid control or the cell Editor has its ReadOnly property set to True.

EditorTextChanged calls the EditingColumn method prior to exit to update both the column number changed in the grid and the Modified property in the DataLink for the control.

## See also

TCustomDBGrid.EditorIsReadOnly |  | EditorIsReadOnly determines if the editor can be enabled for the selected cell in the control.
TCustomDBGrid.SetEditText |  | Sets the textual value for the editor in the specified cell.
TCustomDBGrid.EditingColumn |  | EditingColumn sets or resets the column being edited in the control.
TCustomDBGrid.UpdateData |  | UpdateData is used to perform pending updates for the selected cell.